diff --git a/include/share/windows_unicode_filenames.h b/include/share/windows_unicode_filenames.h
index a2f0bc0..7e196bf 100644
--- a/include/share/windows_unicode_filenames.h
+++ b/include/share/windows_unicode_filenames.h
@@ -55,11 +55,9 @@ int flac_internal_utime_utf8(const char *filename, struct utimbuf *times);
 int flac_internal_unlink_utf8(const char *filename);
 int flac_internal_rename_utf8(const char *oldname, const char *newname);
 
-#ifdef FLAC__COMPAT_USE_WINAPI
 #include <windows.h>
 HANDLE WINAPI flac_internal_CreateFile_utf8(const char *lpFileName, DWORD dwDesiredAccess, DWORD dwShareMode, LPSECURITY_ATTRIBUTES lpSecurityAttributes, DWORD dwCreationDisposition, DWORD dwFlagsAndAttributes, HANDLE hTemplateFile);
 #define CreateFile_utf8 flac_internal_CreateFile_utf8
-#endif
 
 #ifdef __cplusplus
 } /* extern "C" */
diff --git a/src/libFLAC/windows_unicode_filenames.c b/src/libFLAC/windows_unicode_filenames.c
index 6c26420..ef02753 100644
--- a/src/libFLAC/windows_unicode_filenames.c
+++ b/src/libFLAC/windows_unicode_filenames.c
@@ -34,7 +34,6 @@
 #endif
 
 #include <io.h>
-#define FLAC__COMPAT_USE_WINAPI
 #include "share/windows_unicode_filenames.h"
 
 /* convert UTF-8 back to WCHAR. Caller is responsible for freeing memory */
